<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.1.0" name="org.eclipse.osbp.dsl.tests.hist.dtos.mapper.hcountrydtomapper">
       <implementation class="org.eclipse.osbp.dsl.tests.hist.dtos.mapper.HCountryDtoMapper"/>
       <service>
		<provide interface="org.eclipse.osbp.dsl.dto.lib.IMapper"/>
		  </service>
		  
		<property name="fordto.from.entity" type="String" value="org.eclipse.osbp.dsl.tests.hist.entities.HCountry"/>
		<property name="fordto.to.dto" type="String">org.eclipse.osbp.dsl.tests.hist.dtos.HCountryDto
		org.eclipse.osbp.dsl.tests.hist.dtos.HBaseUUIDDto
		</property>

		<property name="forentity.from.dto" type="String" value="org.eclipse.osbp.dsl.tests.hist.dtos.HCountryDto"/>
		<property name="forentity.to.entity" type="String">org.eclipse.osbp.dsl.tests.hist.entities.HCountry
		org.eclipse.osbp.dsl.tests.hist.entities.HBaseUUID
		</property>
		
		<property name="service.pid" type="String" value="org.eclipse.osbp.dsl.tests.hist.dtos.mapper.hcountrydtomapper"/>
		<reference name="mapperAccess" interface="org.eclipse.osbp.dsl.dto.lib.IMapperAccess" 
				cardinality="1..1" policy="static" bind="bindMapperAccess" unbind="unbindMapperAccess"/>
</scr:component>
